import { ArgsType } from '@nestjs/graphql';
import { IsUUID, IsOptional } from 'class-validator';

@ArgsType()
export class GetConfigurationArgs {
  @IsUUID()
  @IsOptional()
  pipelineId?: string;

  @IsUUID()
  @IsOptional()
  projectId?: string;

  @IsUUID()
  @IsOptional()
  id?: string;
}
